commit:     0d52d77b65d79203a0c21e727786cb56b9d7683c
Author:     Eray Aslan <eras <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  8 12:43:57 2024 +0000
Commit:     Eray Aslan <eras <AT> gentoo <DOT> org>
CommitDate: Mon Jan  8 12:44:42 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d52d77b

net-mail/mailutils: add 3.17

Signed-off-by: Eray Aslan <eras <AT> gentoo.org>

 net-mail/mailutils/Manifest              |   1 +
 net-mail/mailutils/mailutils-3.17.ebuild | 145 +++++++++++++++++++++++++++++++
 2 files changed, 146 insertions(+)

diff --git a/net-mail/mailutils/Manifest b/net-mail/mailutils/Manifest
index 44fd7c0cea53..4e7c5e7fd961 100644
--- a/net-mail/mailutils/Manifest
+++ b/net-mail/mailutils/Manifest
@@ -1,2 +1,3 @@
 DIST mailutils-3.15.tar.xz 3112212 BLAKE2B 
78101178c101897bc75897a1e134796150fafccd7e8f4b603c82698dd0cd27a98dd1ed7837a87be4760e8bdb39ec7275023a8e2847f832e683b8e97e5e95d75d
 SHA512 
b6b90ad4f71c83e500a9b176694f5fb51a99baf26e52d567d222d6f037a23a0814ac84f88762cbfb4f22382c0e662191af89fb74a8a287134b8fffa58086bdd8
 DIST mailutils-3.16.tar.xz 3217812 BLAKE2B 
dfef95ffd197bfc7279118472272c4c0d5b363cbe9d26499b6fb383638e9cb94da67832124dfd5948d718e170830c38a3d7eaf0cb77b0f1fde92eae808eb2930
 SHA512 
c75015b431ca87fb19668a8c2f4da1a02be897d7bcd89cbc6a821b73c8599e51778e37c7dda4bb8a9c9aa0af521fc0bcf5f6d00383d3dd43e87ed6b9878e16ac
+DIST mailutils-3.17.tar.xz 3219484 BLAKE2B 
b2b00d4eb8b74b3f2f7341638639fef79e636364deaa0a24c9595022db44faac433c1fa26b231e29384ebdfc9c1602040cf363e637fc66ec3a738b5bd04a884a
 SHA512 
e4080d9674444c3e077aa72f825a0373a4750d187a04a488449e89f6fec19d9309a118412e91745575eb90d05fa541f8d2626a8fd5e8ac10710aa1f7a0ff3193

diff --git a/net-mail/mailutils/mailutils-3.17.ebuild 
b/net-mail/mailutils/mailutils-3.17.ebuild
new file mode 100644
index 000000000000..dc62eccb305d
--- /dev/null
+++ b/net-mail/mailutils/mailutils-3.17.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit autotools elisp-common flag-o-matic python-single-r1 toolchain-funcs
+
+DESCRIPTION="A useful collection of mail servers, clients, and filters"
+HOMEPAGE="https://mailutils.org/";
+SRC_URI="mirror://gnu/mailutils/${P}.tar.xz"
+
+LICENSE="GPL-3+ LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~ppc-macos ~x64-macos"
+IUSE="berkdb bidi +clients emacs gdbm sasl guile kerberos kyotocabinet \
+       ldap mysql nls pam postgres python servers split-usr ssl static-libs 
test +threads tcpd \
+       tokyocabinet"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       !mail-filter/libsieve
+       !mail-client/mailx
+       sys-libs/ncurses:=
+       sys-libs/readline:=
+       dev-libs/libltdl:0
+       virtual/libcrypt:=
+       virtual/mta
+       berkdb? ( sys-libs/db:= )
+       bidi? ( dev-libs/fribidi )
+       emacs? ( >=app-editors/emacs-23.1:* )
+       gdbm? ( sys-libs/gdbm:= )
+       guile? ( dev-scheme/guile:12/2.2-1 )
+       kerberos? ( virtual/krb5 )
+       kyotocabinet? ( dev-db/kyotocabinet )
+       ldap? ( net-nds/openldap:= )
+       mysql? ( dev-db/mysql-connector-c:= )
+       nls? ( sys-devel/gettext )
+       pam? ( sys-libs/pam:= )
+       postgres? ( dev-db/postgresql:= )
+       python? ( ${PYTHON_DEPS} )
+       sasl? ( >=net-misc/gsasl-2.0.0 )
+       servers? ( virtual/libiconv dev-libs/libunistring:= )
+       ssl? ( net-libs/gnutls:= )
+       tcpd? ( sys-apps/tcp-wrappers )
+       tokyocabinet? ( dev-db/tokyocabinet )
+       "
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+       virtual/pkgconfig
+       test? ( dev-util/dejagnu )
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )
+       servers? ( tcpd ldap )"
+
+DOCS=( ABOUT-NLS AUTHORS COPYING COPYING.LESSER ChangeLog INSTALL NEWS README 
THANKS TODO )
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.5-add-include.patch
+)
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       if use mysql; then
+               sed -i -e /^INCLUDES/"s:$:$(mysql_config --include):" \
+                       sql/Makefile.am || die
+       fi
+       eautoreconf
+}
+
+src_configure() {
+       append-flags -fno-strict-aliasing
+
+       # maildir is the Gentoo default
+       econf \
+               MU_DEFAULT_SCHEME=maildir \
+               CURSES_LIBS="$($(tc-getPKG_CONFIG) --libs ncurses)" \
+               $(use_with berkdb berkeley-db) \
+               $(use_with bidi fribidi) \
+               $(use_with gdbm) \
+               $(use_with sasl gsasl) \
+               $(use_with guile) \
+               $(use_with kerberos gssapi) \
+               $(use_with ldap) \
+               $(use_with mysql) \
+               $(use_enable nls) \
+               $(use_enable pam) \
+               $(use_with postgres) \
+               $(use_enable python) \
+               $(use_with ssl gnutls) \
+               $(use_enable static-libs static) \
+               $(use_enable threads pthread) \
+               $(use_with tokyocabinet) \
+               $(use_with kyotocabinet) \
+               $(use_with tcpd tcp-wrappers) \
+               $(use_enable servers build-servers) \
+               $(use_with servers unistring ) \
+               $(use_enable clients build-clients) \
+               EMACS=$(usex emacs emacs no) \
+               --with-lispdir="${EPREFIX}${SITELISP}/${PN}" \
+               --with-mail-spool=/var/spool/mail \
+               --with-readline \
+               --enable-ipv6 \
+               --enable-sendmail \
+               --disable-debug
+}
+
+src_install() {
+       default
+
+       insinto /etc
+       # bug 613112
+       newins "${FILESDIR}/mailutils.rc" mailutils.conf
+       keepdir /etc/mailutils.d/
+       insinto /etc/mailutils.d
+       doins "${FILESDIR}/mail"
+
+       if use python; then
+               python_optimize
+               if use static-libs; then
+                       rm -r "${D}$(python_get_sitedir)/mailutils"/*.{a,la} || 
die
+               fi
+       fi
+
+       if use servers; then
+               newinitd "${FILESDIR}"/imap4d.initd imap4d
+               newinitd "${FILESDIR}"/pop3d.initd pop3d
+               newinitd "${FILESDIR}"/comsatd.initd comsatd
+       fi
+
+       # compatibility link
+       if use clients && use split-usr; then
+               dosym ../usr/bin/mail /bin/mail
+       fi
+
+       if ! use static-libs; then
+               find "${D}" -name "*.la" -delete || die
+       fi
+}

Reply via email to